<?php

# This file should be run automatically by wfpl_main.php

# Settings
define('WFPL_DB', 'fixme');
define('WFPL_DB_USER', 'fixme');
define('WFPL_DB_PASS', 'fixme');
# CMS login passwords are stored in the database. See admin_users.php
date_default_timezone_set('America/New_York');

# If you change these, update style.styl too
define('WFPL_IMAGE_WIDTH_FULL',  900);
define('WFPL_IMAGE_WIDTH_SMALL', 336); # this is "sidebar_width" in style.styl
define('WFPL_IMAGE_WIDTH_THUMB',  70);
$GLOBALS['wfpl_image_widths'] = array(
	WFPL_IMAGE_WIDTH_FULL,
	WFPL_IMAGE_WIDTH_SMALL,
	WFPL_IMAGE_WIDTH_THUMB
);

# Enable features, auto-includes
require_once(DOCROOT . 'inc/wfpl/format.php');
require_once(DOCROOT . 'inc/wfpl/db.php');
require_once(DOCROOT . 'inc/wfpl/session_messages.php');
require_once(DOCROOT . 'inc/session_auth.php');
require_once(DOCROOT . 'inc/cms.php');
require_once(DOCROOT . 'inc/misc.php');

# Connect to the database
db_connect(WFPL_DB, WFPL_DB_USER, WFPL_DB_PASS);

# upgrade db (only) on special trigger (assures only one upgrade at a time)
if (isset($_SERVER['HTTP_X_UPGRADE_DB_NOW'])) {
	require_once(DOCROOT . 'inc/db_upgrade.php');
	db_upgrade();
}

$GLOBALS['email_templates'] = [
	'backend_bug' => [
		'title' => "Notification for site programmer(s)",
		'description' => "This email template is used if/when the back-end code of this site encounters an unusual/suspicious situation that it's not sure how to cope with.",
		'variables' => [
			['message', "details about the unusual/suspicious situation"]
		],
		'subject' => "backend alert",
		'content' => "Hi developer,\n\nPlease investigate the following debugging message from the site:\n\n~message~"
		'from_addr' => 'noreply@example.com',
		'to_addr' => 'fixme@example.com' # not all templates need this field
	]
	# ...
];
